#include<stdio.h>
#include<string.h>
#include<stdlib.h>
#include<time.h>
struct rec{
int num;
       rec *p;};
int main()
   {rec *first,*q,*p;
int i,n;
srand( (unsigned)time( NULL ) );
    first=new rec;
    first->p=NULL;
     first->num=rand()%100+1;
    n=rand()%30+10;// задаем случайное количество
     //элементов минимадьно 10, максимально 59
     p=first;
for (i=1;i<n;i++){
       q=new rec;
       q->num=rand()/100;
       q->p=NULL;
       p->p=q;
       p=q;
       }
    puts("Spisok");
       q=first;
while(q!=NULL){
       printf("%5d",q->num);
       q=q->p;}
    printf("\n");
    puts("input value for udal");
    scanf("%d",&n);
// удалените первового
    printf("Elementy, kratnye %4d\n",n);
while((first!=NULL)&&(first->num%n==0))
    { p=first;
    first=first->p;
    printf("%5d",p->num);
    delete(p);
}
    if (first==NULL)// Проверка, не пуст ли список
       puts("\nSpisok Empty");
    else
    {// Если не пуст, идем дальше и организуем цикл
      p=first;
      q=first;
    do
    {
      if(q->num%n==0)
       {p->p=q->p;
        printf("%5d",q->num);
         delete(q);
        q=p->p;
       }
     else
       {p=q;
       q=q->p;
       }
    } while (q!=NULL);

    printf("\n\nSpisok after delete elementov, kratnyx %4d\n",n);
       q=first;
    while(q!=NULL)
    {
       printf("%5d",q->num);
       q=q->p;
    }
    printf("\n");
}
    return 0;
}
